Subject: Summary:PC GAMESS on a multi-processor PC

From: Shiang-Tai Lin <[email-masked]>
Date: Tue, 6 Apr 1999 14:55:36 -0400 (EDT)

My thanks to Tim, Alex, and Eugene who provided me with very useful tips
concerning running PC GAMESS on a multi-processor PC. People who are
interested in running PC Gamess are encouraged to visit the PC GAMESS
homepage at http://classic.chem.msu.su/gran/gamess/index.html. 
Answers to most questions one might have can be found there.

Shiang-Tai Lin
Center for Molecular and Engineering Thermodynamics
Department of Chemical Engineering
University of Delaware, USA
(O) (302) 831-6857
(H) (302) 368-8388
E-mail: [email-masked]

*****************  Original Question  ****************************************
Does anyone have the experience of running PC GAMESS on a
two processor PC using Windows NT as the operation system?
As far as I know, there is no parallel version for PC GAMESS.
I am curious to know if Windows NT can automatically use
both processors to run the current version of PC GAMESS.

*********************  Reply 1 ***********************************************
Date: Tue, 30 Mar 1999 13:49:52 -0800
From: "Mattson, Timothy G" <[email-masked]>

The creators of PC-GAMESS have created a multi-threaded version of the
program.  It is my understanding that PC-GAMESS as distributed is
multi-threaded and should already take advantage of the second processor on
your PC.  Maybe you are using an old version of the program?
 
If you do NOT have the multi-threaded version of PC-GAMESS, then the OS can
NOT do anything with the second processor to help you speed up your
calculations.  Its not an NT issue. Its a applications issue -- i.e. if the
application only uses one thread, then the OS can't use multiple processors.
Of course, the OS can let you read your mail or do other stuff while running
PC-GAMESS so that second processor isn't completely wasted -- it just can't
help you with GAMESS.
 
--Tim
*********************  Reply 2 ***********************************************
Date: Wed, 31 Mar 1999 12:09:58 +0300
From: [email-masked]

Dear Shiang-Tai,
 
It would be much better to directly address your question to the
PC GAMESS authors.
 
>Does anyone have the experience of running PC GAMESS on a
>two processor PC using Windows NT as the operation system?
>As far as I know, there is no parallel version for PC GAMESS.
It will be available in the middle of year 2000.
 
>I am curious to know if Windows NT can automatically use
>both processors to run the current version of PC GAMESS.
   In brief,  you should set the environment variable
MKL_NPROCS to be the number of CPUs that should be used
by PC GAMESS.  The speedup is strongly job-dependend.
For example, during large MP3 and MP4 runs, it is possible
to achieve 1.8-1.95x scaling. MP2 energy and MP2 gradients also
benefit to some degree due to usage of second (third, fourth)
CPU. There is no speedup for SCF runs, on the other hand.
For more information, see the PC GAMESS FAQ.
 
Alex Granovsky,
the PC GAMESS project coordinator.
 
P.S. You can download the latest PC GAMESS
binaries  from our anonymous ftp sites:
 
classic.chem.msu.su
quantum-2.chem.msu.ru

*******************  Reply 3 ***************************************************
Date: Sat, 3 Apr 1999 05:52:21 +0200 (CEST)
From: Eugene Leitl <[email-masked]>

> Does anyone have the experience of running PC GAMESS on a
> two processor PC using Windows NT as the operation system?
 
Try running Gamess on a Linux cluster.
 
> As far as I know, there is no parallel version for PC GAMESS.
> I am curious to know if Windows NT can automatically use
> both processors to run the current version of PC GAMESS.
 
NT is not exactly known for its efficiency, and SMP is absolutely
unnecessary for a code scaling as well as Gamess.
 
Regards,
Eugene Leitl